Daemon Power

The NetBSD Packages Collection: www/ruby-rails42

Brief description of the package:
Full-stack web application framework, Rails 4.2

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at http://www.rubyonrails.org/.

Please note that this package has a mit license.

The package is located in the "www/ruby-rails42" directory. The current source version of the package is "ruby24-rails42-4.2.10". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for www/ruby-rails42 :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: ruby24-actionmailer42>=4.2.10<4.2.11 ruby24-actionpack42>=4.2.10<4.2.11 ruby24-actionview42>=4.2.10<4.2.11 ruby24-activesupport42>=4.2.10<4.2.11 ruby24-i18n>=0.7 ruby24-concurrent-ruby>=1.0<2 ruby24-base>=2.4.4 libyaml>=0.1.1 cwrappers>=20150314 libyaml>=0.1.4 ruby24-thread_safe>=0.3.4 ruby24-tzinfo>=1.1 ruby24-thread_safe>=0.1<1 ruby24-builder>=3.1 ruby24-erubis>=2.7.0 ruby24-rails-dom-testing1>=1.0.5 ruby24-activesupport42>=4.2.10<4.3 ruby24-nokogiri>=1.6.0 ruby24-mini_portile2>=2.3.0<2.4.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxslt>=1.1.8 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 libxml2>=2.8.0nb2 docbook-xml-[0-9]* docbook-xsl-[0-9]* docbook-xml>=4.2 perl>=5.0 libxslt>=1.1.28nb2 ruby24-rails-deprecated_sanitizer>=1.0.1 ruby24-rails-html-sanitizer>=1.0.3 ruby24-loofah>=2.2.0 ruby24-nokogiri>=1.5.9 ruby24-crass>=1.0.2<1.1 ruby24-rack16>=1.6 ruby24-rack-test>=0.6.2<0.7 ruby24-rack14>=1.0 ruby24-mail>=2.5.4 ruby24-mini_mime>=0.1.1 ruby24-activejob42>=4.2.10<4.2.11 ruby24-globalid>=0.3.0 ruby24-activemodel42>=4.2.10<4.2.11 ruby24-activerecord42>=4.2.10<4.2.11 ruby24-arel60>=6.0<7 ruby24-railties42>=4.2.10<4.2.11 ruby24-thor>=0.18.1<2.0 ruby24-bundler>=1.3.0<2 ruby24-sprockets-rails-[0-9]* ruby24-sprockets>=3.0.0 ruby24-rack16>=1.6<3 ruby24-actionpack42>=4.2.10<4.3 .

This package requires the following package(s) to run: ruby24-actionmailer42>=4.2.10<4.2.11 ruby24-actionpack42>=4.2.10<4.2.11 ruby24-actionview42>=4.2.10<4.2.11 ruby24-activesupport42>=4.2.10<4.2.11 ruby24-i18n>=0.7 ruby24-concurrent-ruby>=1.0<2 ruby24-base>=2.4.4 libyaml>=0.1.1 libyaml>=0.1.4 ruby24-thread_safe>=0.3.4 ruby24-tzinfo>=1.1 ruby24-thread_safe>=0.1<1 ruby24-builder>=3.1 ruby24-erubis>=2.7.0 ruby24-rails-dom-testing1>=1.0.5 ruby24-activesupport42>=4.2.10<4.3 ruby24-nokogiri>=1.6.0 ruby24-mini_portile2>=2.3.0<2.4.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxslt>=1.1.8 libgcrypt>=1.2.0 libgpg-error>=1.13 libgpg-error>=0.6 libgpg-error>=1.10nb1 libxml2>=2.6.27 libgcrypt>=1.6.0 libxml2>=2.8.0nb2 libxslt>=1.1.28nb2 ruby24-rails-deprecated_sanitizer>=1.0.1 ruby24-rails-html-sanitizer>=1.0.3 ruby24-loofah>=2.2.0 ruby24-nokogiri>=1.5.9 ruby24-crass>=1.0.2<1.1 ruby24-rack16>=1.6 ruby24-rack-test>=0.6.2<0.7 ruby24-rack14>=1.0 ruby24-mail>=2.5.4 ruby24-mini_mime>=0.1.1 ruby24-activejob42>=4.2.10<4.2.11 ruby24-globalid>=0.3.0 ruby24-activemodel42>=4.2.10<4.2.11 ruby24-activerecord42>=4.2.10<4.2.11 ruby24-arel60>=6.0<7 ruby24-railties42>=4.2.10<4.2.11 ruby24-thor>=0.18.1<2.0 ruby24-bundler>=1.3.0<2 ruby24-sprockets-rails-[0-9]* ruby24-sprockets>=3.0.0 ruby24-rack16>=1.6<3 ruby24-actionpack42>=4.2.10<4.3 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
earmv6hf:ruby22-rails42-4.2.8nb1.tgz(NetBSD 8.0)
earmv6hf:ruby23-rails42-4.2.8nb1.tgz(NetBSD 8.0)
earmv6hf:ruby24-rails42-4.2.8nb1.tgz(NetBSD 8.0)
earmv6hf:ruby22-rails42-4.2.8nb1.tgz(NetBSD 8.0)
earmv6hf:ruby23-rails42-4.2.8nb1.tgz(NetBSD 8.0)
earmv6hf:ruby24-rails42-4.2.8nb1.tgz(NetBSD 8.0)
earmv7hf:ruby22-rails42-4.2.10.tgz(NetBSD 8.0)
earmv7hf:ruby23-rails42-4.2.10.tgz(NetBSD 8.0)
earmv7hf:ruby24-rails42-4.2.10.tgz(NetBSD 8.0)
earmv7hf:ruby25-rails42-4.2.10.tgz(NetBSD 8.0)
earmv7hfeb:ruby23-rails42-4.2.8nb1.tgz(NetBSD 8.0)
i386:ruby22-rails42-4.2.10.tgz(NetBSD 6.0)
i386:ruby23-rails42-4.2.10.tgz(NetBSD 6.0)
i386:ruby24-rails42-4.2.10.tgz(NetBSD 6.0)
i386:ruby25-rails42-4.2.10.tgz(NetBSD 6.0)
i386:ruby22-rails42-4.2.8.tgz(NetBSD 6.0)
i386:ruby23-rails42-4.2.8.tgz(NetBSD 6.0)
i386:ruby24-rails42-4.2.8.tgz(NetBSD 6.0)
i386:ruby22-rails42-4.2.8nb1.tgz(NetBSD 6.0)
i386:ruby23-rails42-4.2.8nb1.tgz(NetBSD 6.0)
i386:ruby24-rails42-4.2.8nb1.tgz(NetBSD 6.0)
i386:ruby22-rails42-4.2.8nb1.tgz(NetBSD 6.0)
i386:ruby23-rails42-4.2.8nb1.tgz(NetBSD 6.0)
i386:ruby24-rails42-4.2.8nb1.tgz(NetBSD 6.0)
i386:ruby22-rails42-4.2.10.tgz(NetBSD 6.1)
i386:ruby23-rails42-4.2.10.tgz(NetBSD 6.1)
i386:ruby24-rails42-4.2.10.tgz(NetBSD 6.1)
i386:ruby25-rails42-4.2.10.tgz(NetBSD 6.1)
i386:ruby22-rails42-4.2.8.tgz(NetBSD 6.1)
i386:ruby23-rails42-4.2.8.tgz(NetBSD 6.1)
i386:ruby24-rails42-4.2.8.tgz(NetBSD 6.1)
i386:ruby22-rails42-4.2.8nb1.tgz(NetBSD 6.1)
i386:ruby23-rails42-4.2.8nb1.tgz(NetBSD 6.1)
i386:ruby24-rails42-4.2.8nb1.tgz(NetBSD 6.1)
i386:ruby22-rails42-4.2.8nb1.tgz(NetBSD 6.1)
i386:ruby23-rails42-4.2.8nb1.tgz(NetBSD 6.1)
i386:ruby24-rails42-4.2.8nb1.tgz(NetBSD 6.1)
i386:ruby22-rails42-4.2.10.tgz(NetBSD 7.0)
i386:ruby23-rails42-4.2.10.tgz(NetBSD 7.0)
i386:ruby24-rails42-4.2.10.tgz(NetBSD 7.0)
i386:ruby25-rails42-4.2.10.tgz(NetBSD 7.0)
i386:ruby22-rails42-4.2.8.tgz(NetBSD 7.0)
i386:ruby23-rails42-4.2.8.tgz(NetBSD 7.0)
i386:ruby24-rails42-4.2.8.tgz(NetBSD 7.0)
i386:ruby22-rails42-4.2.8nb1.tgz(NetBSD 7.0)
i386:ruby23-rails42-4.2.8nb1.tgz(NetBSD 7.0)
i386:ruby24-rails42-4.2.8nb1.tgz(NetBSD 7.0)
i386:ruby22-rails42-4.2.8nb1.tgz(NetBSD 7.0)
i386:ruby23-rails42-4.2.8nb1.tgz(NetBSD 7.0)
i386:ruby24-rails42-4.2.8nb1.tgz(NetBSD 7.0)
i386:ruby22-rails42-4.2.10.tgz(NetBSD 7.1)
i386:ruby23-rails42-4.2.10.tgz(NetBSD 7.1)
i386:ruby24-rails42-4.2.10.tgz(NetBSD 7.1)
i386:ruby25-rails42-4.2.10.tgz(NetBSD 7.1)
i386:ruby22-rails42-4.2.8nb1.tgz(NetBSD 7.1)
i386:ruby23-rails42-4.2.8nb1.tgz(NetBSD 7.1)
i386:ruby24-rails42-4.2.8nb1.tgz(NetBSD 7.1)
i386:ruby22-rails42-4.2.10.tgz(NetBSD 8.0)
i386:ruby23-rails42-4.2.10.tgz(NetBSD 8.0)
i386:ruby24-rails42-4.2.10.tgz(NetBSD 8.0)
i386:ruby25-rails42-4.2.10.tgz(NetBSD 8.0)
i386:ruby22-rails42-4.2.8nb1.tgz(NetBSD 8.0)
i386:ruby23-rails42-4.2.8nb1.tgz(NetBSD 8.0)
i386:ruby24-rails42-4.2.8nb1.tgz(NetBSD 8.0)
powerpc:ruby24-rails42-4.2.10.tgz(NetBSD 6.1)
powerpc:ruby24-rails42-4.2.8.tgz(NetBSD 6.1)
powerpc:ruby24-rails42-4.2.8nb1.tgz(NetBSD 6.1)
powerpc:ruby25-rails42-4.2.10.tgz(NetBSD 6.1)
powerpc:ruby24-rails42-4.2.8.tgz(NetBSD 6.1)
powerpc:ruby24-rails42-4.2.8nb1.tgz(NetBSD 6.1)
powerpc:ruby22-rails42-4.2.10.tgz(NetBSD 7.1)
powerpc:ruby22-rails42-4.2.8.tgz(NetBSD 7.1)
powerpc:ruby22-rails42-4.2.8nb1.tgz(NetBSD 7.1)
powerpc:ruby23-rails42-4.2.10.tgz(NetBSD 7.1)
powerpc:ruby23-rails42-4.2.8.tgz(NetBSD 7.1)
powerpc:ruby23-rails42-4.2.8nb1.tgz(NetBSD 7.1)
powerpc:ruby24-rails42-4.2.10.tgz(NetBSD 7.1)
powerpc:ruby24-rails42-4.2.8.tgz(NetBSD 7.1)
powerpc:ruby24-rails42-4.2.8nb1.tgz(NetBSD 7.1)
powerpc:ruby25-rails42-4.2.10.tgz(NetBSD 7.1)
powerpc:ruby22-rails42-4.2.10.tgz(NetBSD 8.0)
powerpc:ruby22-rails42-4.2.8.tgz(NetBSD 8.0)
powerpc:ruby22-rails42-4.2.8nb1.tgz(NetBSD 8.0)
powerpc:ruby23-rails42-4.2.10.tgz(NetBSD 8.0)
powerpc:ruby23-rails42-4.2.8.tgz(NetBSD 8.0)
powerpc:ruby23-rails42-4.2.8nb1.tgz(NetBSD 8.0)
powerpc:ruby24-rails42-4.2.10.tgz(NetBSD 8.0)
powerpc:ruby24-rails42-4.2.8.tgz(NetBSD 8.0)
powerpc:ruby24-rails42-4.2.8nb1.tgz(NetBSD 8.0)
powerpc:ruby25-rails42-4.2.10.tgz(NetBSD 8.0)
sparc64:ruby23-rails42-4.2.8nb1.tgz(NetBSD 8.0)
x86_64:ruby22-rails42-4.2.10.tgz(Linux 4.15.0)
x86_64:ruby22-rails42-4.2.10.tgz(NetBSD 6.0)
x86_64:ruby23-rails42-4.2.10.tgz(NetBSD 6.0)
x86_64:ruby24-rails42-4.2.10.tgz(NetBSD 6.0)
x86_64:ruby25-rails42-4.2.10.tgz(NetBSD 6.0)
x86_64:ruby22-rails42-4.2.8nb1.tgz(NetBSD 6.0)
x86_64:ruby23-rails42-4.2.8nb1.tgz(NetBSD 6.0)
x86_64:ruby24-rails42-4.2.8nb1.tgz(NetBSD 6.0)
x86_64:ruby22-rails42-4.2.8nb1.tgz(NetBSD 6.0)
x86_64:ruby23-rails42-4.2.8nb1.tgz(NetBSD 6.0)
x86_64:ruby24-rails42-4.2.8nb1.tgz(NetBSD 6.0)
x86_64:ruby22-rails42-4.2.10.tgz(NetBSD 6.1)
x86_64:ruby23-rails42-4.2.10.tgz(NetBSD 6.1)
x86_64:ruby24-rails42-4.2.10.tgz(NetBSD 6.1)
x86_64:ruby25-rails42-4.2.10.tgz(NetBSD 6.1)
x86_64:ruby22-rails42-4.2.8nb1.tgz(NetBSD 6.1)
x86_64:ruby23-rails42-4.2.8nb1.tgz(NetBSD 6.1)
x86_64:ruby24-rails42-4.2.8nb1.tgz(NetBSD 6.1)
x86_64:ruby22-rails42-4.2.8nb1.tgz(NetBSD 6.1)
x86_64:ruby23-rails42-4.2.8nb1.tgz(NetBSD 6.1)
x86_64:ruby24-rails42-4.2.8nb1.tgz(NetBSD 6.1)
x86_64:ruby22-rails42-4.2.10.tgz(NetBSD 7.0)
x86_64:ruby23-rails42-4.2.10.tgz(NetBSD 7.0)
x86_64:ruby24-rails42-4.2.10.tgz(NetBSD 7.0)
x86_64:ruby25-rails42-4.2.10.tgz(NetBSD 7.0)
x86_64:ruby22-rails42-4.2.8nb1.tgz(NetBSD 7.0)
x86_64:ruby23-rails42-4.2.8nb1.tgz(NetBSD 7.0)
x86_64:ruby24-rails42-4.2.8nb1.tgz(NetBSD 7.0)
x86_64:ruby22-rails42-4.2.8nb1.tgz(NetBSD 7.0)
x86_64:ruby23-rails42-4.2.8nb1.tgz(NetBSD 7.0)
x86_64:ruby24-rails42-4.2.8nb1.tgz(NetBSD 7.0)
x86_64:ruby22-rails42-4.2.8.tgz(NetBSD 7.0.1_PATCH)
x86_64:ruby23-rails42-4.2.8.tgz(NetBSD 7.0.1_PATCH)
x86_64:ruby24-rails42-4.2.8.tgz(NetBSD 7.0.1_PATCH)
x86_64:ruby22-rails42-4.2.10.tgz(NetBSD 7.1)
x86_64:ruby23-rails42-4.2.10.tgz(NetBSD 7.1)
x86_64:ruby24-rails42-4.2.10.tgz(NetBSD 7.1)
x86_64:ruby25-rails42-4.2.10.tgz(NetBSD 7.1)
x86_64:ruby22-rails42-4.2.8nb1.tgz(NetBSD 7.1.1)
x86_64:ruby23-rails42-4.2.8nb1.tgz(NetBSD 7.1.1)
x86_64:ruby24-rails42-4.2.8nb1.tgz(NetBSD 7.1.1)
x86_64:ruby25-rails42-4.2.8nb1.tgz(NetBSD 7.1.1)
x86_64:ruby22-rails42-4.2.8nb1.tgz(NetBSD 7.1)
x86_64:ruby23-rails42-4.2.8nb1.tgz(NetBSD 7.1)
x86_64:ruby24-rails42-4.2.8nb1.tgz(NetBSD 7.1)
x86_64:ruby22-rails42-4.2.10.tgz(NetBSD 8.0)
x86_64:ruby23-rails42-4.2.10.tgz(NetBSD 8.0)
x86_64:ruby24-rails42-4.2.10.tgz(NetBSD 8.0)
x86_64:ruby25-rails42-4.2.10.tgz(NetBSD 8.0)
x86_64:ruby22-rails42-4.2.8.tgz(NetBSD 8.99.1)
x86_64:ruby23-rails42-4.2.8.tgz(NetBSD 8.99.1)
x86_64:ruby24-rails42-4.2.8.tgz(NetBSD 8.99.1)
x86_64:ruby22-rails42-4.2.8nb1.tgz(NetBSD 8.0)
x86_64:ruby23-rails42-4.2.8nb1.tgz(NetBSD 8.0)
x86_64:ruby24-rails42-4.2.8nb1.tgz(NetBSD 8.0)
x86_64:ruby22-rails42-4.2.8nb1.tgz(NetBSD 8.0)
x86_64:ruby23-rails42-4.2.8nb1.tgz(NetBSD 8.0)
x86_64:ruby24-rails42-4.2.8nb1.tgz(NetBSD 8.0)
x86_64:ruby22-rails42-4.2.8nb1.tgz(NetBSD 8.99.1)
x86_64:ruby23-rails42-4.2.8nb1.tgz(NetBSD 8.99.1)
x86_64:ruby24-rails42-4.2.8nb1.tgz(NetBSD 8.99.1)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]